class Person {
  int zustand;  //0: kann infiziert werden; 1: ist infiziert; 2: genesen
  int d;        //Durchmesser
  float x,y;    //x und y Koordinate
  float vx,vy;  //Bewegungen in x und y Richtung
  float maxGeschwindigkeitsAenderung;
  float maxGeschwindigkeit;
  int tageDerInfizierung;
   
  
  Person() {
     zustand = 0;
     d = 2*personenRadius;
     tageDerInfizierung = 0;
     maxGeschwindigkeitsAenderung = 1;
     maxGeschwindigkeit = 1.5;
     x = random(personenRadius+infektionsradius,width-(personenRadius+infektionsradius));
     y = random(abstandNachZumOberenRand+personenRadius+infektionsradius,height-(personenRadius+infektionsradius));
     vx = random(-maxGeschwindigkeitsAenderung,maxGeschwindigkeitsAenderung);
     vy = random(-maxGeschwindigkeitsAenderung,maxGeschwindigkeitsAenderung);
  }
  
  void update() {
     vx += random(-maxGeschwindigkeitsAenderung,maxGeschwindigkeitsAenderung);
     vy += random(-maxGeschwindigkeitsAenderung,maxGeschwindigkeitsAenderung);
     vx = constrain(vx,-maxGeschwindigkeit,maxGeschwindigkeit);
     vy = constrain(vy,-maxGeschwindigkeit,maxGeschwindigkeit);
     if (x+vx+personenRadius+infektionsradius>=width || x+vx-(personenRadius+infektionsradius)<=0) vx*=-1;
     if (y+vy+personenRadius+infektionsradius>=height || y+vy-(personenRadius+infektionsradius)<=abstandNachZumOberenRand) vy*=-1;
     x+=vx;
     y+=vy;
     x = constrain(x,0,width); //Beschränken des x-Wertes, damit keiner abhaut
     y = constrain(y,abstandNachZumOberenRand,height); //Beschränken des x-Wertes, damit keiner abhaut
  }
  
  void show() {
    switch(zustand) {
      case 0:   {
        fill(255,255,255);//neutral: weiss
        break;
      }
      case 1:   {
        if (zeigeInfektionsRadius) {
          strokeWeight(1);
          stroke(255,0,0);
          noFill();
          ellipse(x,y,2*infektionsradius,2*infektionsradius);
          noStroke();
        }
        fill(255,0,0);  //infiziert: rot
        break;
      }
      case 2:   {
        fill(255,255,0);  //infiziert: genesen
        break;
      }
    }
    
      
    ellipse(x,y,d,d);
    
  }
  
}
